linux-lts-utopic: 3.16.0-29.39~14.04.1 -proposed tracker

Bug #1402946 reported by Brad Figg on 2014-12-16
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Kamal Mostafa
Prepare-package-meta
Medium
Kamal Mostafa
Prepare-package-signed
Medium
Kamal Mostafa
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-29.39~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 16. December 2014 07:01 UTC
kernel-stable-master-bug:1402822
kernel-stable-Prepare-package-end:Wednesday, 17. December 2014 05:01 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 17. December 2014 05:01 UTC
ppa-package-testing-start:Wednesday, 17. December 2014 05:01 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 17. December 2014 20:50 UTC
kernel-stable-Verification-testing-start:Wednesday, 17. December 2014 22:01 UTC
kernel-stable-Certification-testing-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Security-signoff-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Regression-testing-start:Wednesday, 17. December 2014 22:04 UTC
kernel-stable-Security-signoff-end:Thursday, 18. December 2014 14:00 UTC
kernel-stable-Certification-testing-end:Wednesday, 07. January 2015 16:01 UTC
kernel-stable-Regression-testing-end:Friday, 09. January 2015 16:07 UTC
kernel-stable-Promote-to-updates-start:Friday, 09. January 2015 16:19 UTC
kernel-stable-Promote-to-updates-end:Monday, 12. January 2015 17:54 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 12. January 2015 19:03 UTC

Brad Figg (brad-figg) on 2014-12-16
tags: added: kernel-release-tracking-bug
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to Proposed:
 linux-lts-utopic | 3.16.0-29.39~14.04.1 | trusty-proposed | source
 linux-meta-lts-utopic | 3.16.0.29.22 | trusty-proposed | source
 linux-signed-lts-utopic | 3.16.0-29.39~14.04.1 | trusty-proposed | source

Brad Figg (brad-figg) on 2014-12-17
description: updated
Brad Figg (brad-figg) on 2014-12-17
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-12-18
description: updated
Adam Conrad (adconrad) on 2014-12-18
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid
Po-Hsu Lin (cypressyew) wrote :

The Hardware Certification team have begun testing this -proposed kernel

Yung Shen (kaxing) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed.
The report is available at: http://people.canonical.com/~hwcert/sru-testing/trusty/3.16.0-29.39~14.04.1/trusty-3.16-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-01-07
description: updated
Brad Figg (brad-figg) on 2015-01-08
tags: added: regression-testing-passed

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Brad Figg (brad-figg) on 2015-01-09
tags: added: qa-testing-passed
removed: regression-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
description: updated
Brad Figg (brad-figg) on 2015-01-09
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (21.8 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-29.39~14.04.1

---------------
linux-lts-utopic (3.16.0-29.39~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1402946

  [ AceLan Kao ]

  * SAUCE: Add use_native_backlight quirk for HP ProBook 6570b
    - LP: #1359010

  [ Andy Whitcroft ]

  * Revert "SAUCE: (no-up) arm64: optimized copy_to_user and copy_from_user
    assembly code"
    - LP: #1398596
  * [Config] updateconfigs to balance CONFIG_SCOM_DEBUGFS

  [ Paolo Pisati ]

  * [Config] armhf: VIRTIO_[BALLOON|MMIO]=y

  [ Upstream Kernel Changes ]

  * Revert "arm64: Make default dma_ops to be noncoherent"
    - LP: #1386490
  * Revert "percpu: free percpu allocation info for uniprocessor system"
    - LP: #1401079
  * ath3k: Add support of MCI 13d3:3408 bt device
    - LP: #1395465
  * x86: kvm: use alternatives for VMCALL vs. VMMCALL if kernel text is
    read-only
    - LP: #1379340
  * cpufreq: Allow stop CPU callback to be used by all cpufreq drivers
    - LP: #1397928
  * cpufreq: powernv: Set the pstate of the last hotplugged out cpu in
    policy->cpus to minimum
    - LP: #1397928
  * cpufreq: powernv: Set the cpus to nominal frequency during reboot/kexec
    - LP: #1397928
  * xen-netfront: Remove BUGs on paged skb data which crosses a page
    boundary
    - LP: #1275879
  * ACPI / blacklist: blacklist Win8 OSI for Dell Vostro 3546
    - LP: #1383589
  * iwlwifi: add device / firmware to fw-error-dump file
    - LP: #1399440
  * iwlwifi: rename iwl_mvm_fw_error_next_data
    - LP: #1399440
  * iwlwifi: pcie: add firmware monitor capabilities
    - LP: #1399440
  * iwlwifi: remove wrong comment about alignment in iwl-fw-error-dump.h
    - LP: #1399440
  * iwlwifi: mvm: don't collect logs in the interrupt thread
    - LP: #1399440
  * iwlwifi: mvm: kill iwl_mvm_fw_error_rxf_dump
    - LP: #1399440
  * iwlwifi: mvm: update layout of firmware error dump
    - LP: #1399440
  * powerpc/pseries: Fix endiannes issue in RTAS call from xmon
    - LP: #1396235
  * mmc: sdhci-pci-o2micro: Fix Dell E5440 issue
    - LP: #1346067
  * mfd: rtsx: Fix PM suspend for 5227 & 5249
    - LP: #1359052
  * samsung-laptop: Add broken-acpi-video quirk for NC210/NC110
    - LP: #1401079
  * acer-wmi: Add acpi_backlight=video quirk for the Acer KAV80
    - LP: #1401079
  * pinctrl: baytrail: show output gpio state correctly on Intel Baytrail
    - LP: #1401079
  * ALSA: hda - Add dock support for Thinkpad T440 (17aa:2212)
    - LP: #1401079
  * ALSA: hda - Add ultra dock support for Thinkpad X240.
    - LP: #1401079
  * rbd: Fix error recovery in rbd_obj_read_sync()
    - LP: #1401079
  * ds3000: fix LNB supply voltage on Tevii S480 on initialization
    - LP: #1401079
  * powerpc: do_notify_resume can be called with bad thread_info flags
    argument
    - LP: #1401079
  * powerpc/powernv: Properly fix LPC debugfs endianness
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MSI interrupt handling
    - LP: #1401079
  * irqchip: armada-370-xp: Fix MPIC interrupt handling
    - LP: #1401079
  * USB: kobil_sct: fix non-atomic allocation in write path
    - LP: #1401079
  * USB: opticon: fix non-atomic all...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released
Chris J Arges (arges) wrote :

Promoted to Updates:
 linux-lts-utopic | 3.16.0-29.39~14.04.1 | trusty-security | source
 linux-lts-utopic | 3.16.0-29.39~14.04.1 | trusty-updates | source
 linux-meta-lts-utopic | 3.16.0.29.22 | trusty-security | source
 linux-meta-lts-utopic | 3.16.0.29.22 | trusty-updates | source
 linux-signed-lts-utopic | 3.16.0-29.39~14.04.1 | trusty-security | source
 linux-signed-lts-utopic | 3.16.0-29.39~14.04.1 | trusty-updates | source

Brad Figg (brad-figg) on 2015-01-12
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers